Subject: RE: [manet] transmission failure info from 802.11 cards

From: DANIEL BYRNE <[email-masked]>
Date: Mon, 5 Apr 2004 12:54:43 -0500

I don't think so.  There are too many variables.

I think the only true answer to Ethernet card feedback is to have an FPGA or a special ASIC sitting on the ethernet card itself handling feedback signals before software has to intervene.  Adding link-layer feedback all the way to the software is an inherently time consuming process.  For multi-hop ad-hoc networks to succeed, latency has to be kept at a minimum regardless of host processor.

-----Original Message-----
From: Ian Chakeres [mailto:[email-masked]]
Sent: Monday, April 05, 2004 12:48 PM
To: DANIEL BYRNE
Cc: Barbara Hughes; [email-masked]
Subject: RE: [manet] transmission failure info from 802.11 cards

I agree. My tests were run on a 1GHz laptop with Linux. I think the
results are representative of many peoples configuration.

Ian Chakeres

>DANIEL BYRNE wrote:
>That time would be highly dependant on the host system and its particular
>configuration would it not?  
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]On Behalf Of Ian
>Chakeres
>Sent: Monday, April 05, 2004 11:46 AM
>To: Barbara Hughes
>Cc: [email-masked]
>Subject: Re: [manet] transmission failure info from 802.11 cards
>
>
>
>I performed some tests evaluating the latency of link layer feedback
>using the host ap driver, a netgear MA401RA card and iwevent. I found
>the lower bound (average) to be around 11 ms with a single transmitter.
>
>Ian Chakeres
>
>If you are interested in reading the paper, please contact me, it is
>currently pending publication.

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet